/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34952A.h"



/// <summary>
///	Retrieves a pointer to the DAC interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34952A::IAgilent34952A_get_DAC(IAgilent34952ADAC** Val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));

	return hr;
}


/// <summary>
///	Retrieves a pointer to the Digital interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34952A::IAgilent34952A_get_Digital(IAgilent34952ADigital** Val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));

	return hr;
}


/// <summary>
///	Retrieves a pointer to the Totalize interface.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34952A::IAgilent34952A_get_Totalize(IAgilent34952ATotalize** Val)
{
	HRESULT hr = S_OK;

	hr = InternalQueryInterface(this, _GetEntries(), __uuidof(*Val), reinterpret_cast<void**>(Val));

	return hr;
}

